/*
    PPPTCP -- an implementation of PPP over TCP, with possible encryption.

    Copyright (C) 1997  Sam Lantinga		(slouken@devolution.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* General authentication/protocol/option negotiation header */

enum { PROTO_SUPPORTED = 'Y', PROTO_UNSUPPORTED = 'N' };

/* Authentication/Version negotiation routines */
extern int authargs(int argc, char *argv[]);
extern int authenticate(char *isclient, int netfd);

/* Encryption/Decryption routines */
extern int packet_encrypt(packet *pkt);
extern int packet_decrypt(packet *pkt);
